From: Martina Ferrari <tina@debian.org>
Date: Sat, 20 Jun 2020 15:14:34 -0300
Subject: Add default settings adapted for Debian.
Forwarded: not-needed
Last-Updated: Sat Mar 12 18:35:22 2022 +0000

---
 cmd/prometheus/main.go |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

--- a/cmd/prometheus/main.go
+++ b/cmd/prometheus/main.go
@@ -246,7 +246,7 @@
 	a.HelpFlag.Short('h')
 
 	a.Flag("config.file", "Prometheus configuration file path.").
-		Default("prometheus.yml").StringVar(&cfg.configFile)
+		Default("/etc/prometheus/prometheus.yml").StringVar(&cfg.configFile)
 
 	a.Flag("web.listen-address", "Address to listen on for UI, API, and telemetry.").
 		Default("0.0.0.0:9090").StringVar(&cfg.web.ListenAddress)
@@ -284,10 +284,10 @@
 		Default("false").BoolVar(&cfg.web.EnableRemoteWriteReceiver)
 
 	a.Flag("web.console.templates", "Path to the console template directory, available at /consoles.").
-		Default("consoles").StringVar(&cfg.web.ConsoleTemplatesPath)
+		Default("/etc/prometheus/consoles").StringVar(&cfg.web.ConsoleTemplatesPath)
 
 	a.Flag("web.console.libraries", "Path to the console library directory.").
-		Default("console_libraries").StringVar(&cfg.web.ConsoleLibrariesPath)
+		Default("/etc/prometheus/console_libraries").StringVar(&cfg.web.ConsoleLibrariesPath)
 
 	a.Flag("web.page-title", "Document title of Prometheus instance.").
 		Default("Prometheus Time Series Collection and Processing Server").StringVar(&cfg.web.PageTitle)
@@ -296,7 +296,7 @@
 		Default(".*").StringVar(&cfg.corsRegexString)
 
 	serverOnlyFlag(a, "storage.tsdb.path", "Base path for metrics storage.").
-		Default("data/").StringVar(&cfg.serverStoragePath)
+		Default("/var/lib/prometheus/metrics2/").StringVar(&cfg.serverStoragePath)
 
 	serverOnlyFlag(a, "storage.tsdb.min-block-duration", "Minimum duration of a data block before being persisted. For use in testing.").
 		Hidden().Default("2h").SetValue(&cfg.tsdb.MinBlockDuration)
@@ -343,7 +343,7 @@
 		Default("120").Hidden().IntVar(&cfg.tsdb.SamplesPerChunk)
 
 	agentOnlyFlag(a, "storage.agent.path", "Base path for metrics storage.").
-		Default("data-agent/").StringVar(&cfg.agentStoragePath)
+		Default("/var/lib/prometheus/data-agent/").StringVar(&cfg.agentStoragePath)
 
 	agentOnlyFlag(a, "storage.agent.wal-segment-size",
 		"Size at which to split WAL segment files. Example: 100MB").
